Package org.apache.sysds.runtime.instructions.gpu

## Class SpoofCUDAInstruction.SinglePrecision

- java.lang.Object
- - org.apache.sysds.runtime.codegen.SpoofCUDAOperator.PrecisionProxy
  - - org.apache.sysds.runtime.instructions.gpu.SpoofCUDAInstruction.SinglePrecision

Enclosing class:
  SpoofCUDAInstruction

    public static class SpoofCUDAInstruction.SinglePrecision
    extends SpoofCUDAOperator.PrecisionProxy

### Constructor Summary

Constructors
`SinglePrecision()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `exec​(SpoofCUDAOperator op)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SinglePrecision

    public SinglePrecision()

### Method Detail

#### exec

    public int exec​(SpoofCUDAOperator op)

Specified by:
  `exec` in class `SpoofCUDAOperator.PrecisionProxy`